<?php
/**
 *
 *User:Administrator
 *Date:2021/10/28
 */

namespace app\api\controller\v1;

use app\api\business\CydBus;
use app\api\business\SampleBus;
use app\api\validate\CydValidate;
use think\exception\ValidateException;


class Cyd
{
    //监管端获取抽样单列表
    public function getCydList()
    {
        $task_id = request()->param('task_id', '', 'int');
        $result = (new CydBus())->getCydList($task_id);
        return showSuccess($result);
    }


    public function getCydDetail()
    {
        $sample_id = request()->param('sample_id', '', 'trim');
        $result = (new SampleBus())->getCydDetail($sample_id);
        return showSuccess($result);
    }

    public function upCydItem()
    {
        $sample_id = request()->param('sample_id', '', 'trim');
        $result = (new CydBus())->upCydItem($sample_id);
        //返回一个undertake_id，前端要用这个刷新页面
        $undertake_id = (new CydBus())->getCydItemBySampleId($sample_id);
        return showSuccess($undertake_id['undertake_id']);
    }


    public function getJgCydList()
    {
        $data = [
            'task_id' => request()->param('task_id', '', 'int'),//任务id
            'unit_id' => request()->param('unit_id', '', 'int'),//牵头单位id
            'pageNum' => request()->param('pageNum', '1', 'int'),
            'pageSize' => request()->param('pageSize', '10', 'int'),
        ];

        try {
            validate(CydValidate::class)->scene('getJgCydList')->check($data);
        } catch (ValidateException $exception) {
            return showError($exception->getError());
        }
        $result = (new CydBus())->getCydByTaskIdAndUnitId($data);
        return showSuccess($result);
    }


}